## AgsOpenSF2Sample

AgsOpenSF2Sample — open Soundfont2 sample

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsOpenSF2Sample * | ags_open_sf2_sample_new ()

## Properties

guint | audio-channel | Read / Write
AgsChannel * | channel | Read / Write
char * | filename | Read / Write
char * | instrument | Read / Write
AgsIpatchSample * | ipatch-sample | Read / Write
char * | preset | Read / Write
char * | sample | Read / Write
guint | audio-channel | Read / Write
AgsChannel * | channel | Read / Write
char * | filename | Read / Write
char * | instrument | Read / Write
AgsIpatchSample * | ipatch-sample | Read / Write
char * | preset | Read / Write
char * | sample | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsOpenSF2Sample

## Includes

    #include <ags/audio/task/ags_open_sf2_sample.h>

## Description

The AgsOpenSF2Sample task opens Soundfont2 samples.

## Functions

### ags_open_sf2_sample_new ()

    AgsOpenSF2Sample *
    ags_open_sf2_sample_new (AgsChannel *channel,
                             AgsIpatchSample *ipatch_sample,
                             gchar *filename,
                             gchar *preset,
                             gchar *instrument,
                             gchar *sample,
                             guint audio_channel);

Creates an AgsOpenSF2Sample.

#### Parameters

channel | the AgsChannel |
ipatch_sample | the AgsIpatchSample or `NULL` |
filename | the Soundfont2 file |
preset | the preset |
instrument | the instrument |
sample | the sample |
audio_channel | the audio channel |

#### Returns

an new AgsOpenSF2Sample.

Since: 3.0.0

## Property Details

### The `“audio-channel”` property

      “audio-channel”            guint

The nth audio channel.

Owner: AgsOpenSF2Sample

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“channel”` property

      “channel”                  AgsChannel *

The assigned AgsChannel

Owner: AgsOpenSF2Sample

Flags: Read / Write

Since: 3.0.0

### The `“filename”` property

      “filename”                 char *

The assigned filename.

Owner: AgsOpenSF2Sample

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“instrument”` property

      “instrument”               char *

The assigned instrument.

Owner: AgsOpenSF2Sample

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“ipatch-sample”` property

      “ipatch-sample”            AgsIpatchSample *

The assigned AgsIpatchSample

Owner: AgsOpenSF2Sample

Flags: Read / Write

Since: 3.0.0

### The `“preset”` property

      “preset”                   char *

The assigned preset.

Owner: AgsOpenSF2Sample

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“sample”` property

      “sample”                   char *

The assigned sample.

Owner: AgsOpenSF2Sample

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“audio-channel”` property

      “audio-channel”            guint

The nth audio channel.

Owner: AgsOpenSF2Sample

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“channel”` property

      “channel”                  AgsChannel *

The assigned AgsChannel

Owner: AgsOpenSF2Sample

Flags: Read / Write

Since: 3.0.0

### The `“filename”` property

      “filename”                 char *

The assigned filename.

Owner: AgsOpenSF2Sample

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“instrument”` property

      “instrument”               char *

The assigned instrument.

Owner: AgsOpenSF2Sample

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“ipatch-sample”` property

      “ipatch-sample”            AgsIpatchSample *

The assigned AgsIpatchSample

Owner: AgsOpenSF2Sample

Flags: Read / Write

Since: 3.0.0

### The `“preset”` property

      “preset”                   char *

The assigned preset.

Owner: AgsOpenSF2Sample

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“sample”` property

      “sample”                   char *

The assigned sample.

Owner: AgsOpenSF2Sample

Flags: Read / Write

Default value: NULL

Since: 3.0.0